Update nameservers for a domain
PATCH
https://api.vercel.com/v1/registrar/domains/{domain}/nameserversUpdate the nameservers for a domain. Pass an empty array to use Vercel's default nameservers.
https://api.vercel.com/v1/registrar/domains/{domain}/nameservers
const response = await fetch('https://api.vercel.com/v1/registrar/domains/domain/nameservers?teamId=string', { method: 'PATCH', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', }, body: JSON.stringify({ "nameservers": [] }),});
const data = await response.json();console.log(data);Response
{}Errors
{ "status": "400", "code": "domain_not_registered", "message": "string"}AuthorizationbearerToken
Default authentication mechanism
204Success
400There was something wrong with the request
404The domain was not found in our system.
429TooManyRequests